' <!-- COPYRIGHT HEADER

' Wechsel des Standarddruckers
' Author: Oliver Bochmann 
' Author: Sebastian Uhlig
' Company: http://www.ica-net.de
' Date: 24/08/2017
' Software Homepage: start.libonet.de
' Software License: https://www.gnu.org/licenses/gpl.txt
'
' IMPORTANT! PLEASE READ CAREFULLY!
' 
' - This software is free to use under the GPL terms. You can use and distribute freely this code 
'   as long as the software credits appear perfectly VISIBLE AND INTACT at the bottom frame of the gallery.
'   This copyright header MUST be keept intact as well.
'
' - Removing or modifying the mentioned credits or copyright header without a license or written permission of the author 
'   is a VIOLATION OF THE LICENSE. If you want to be able to remove them, you need to 
'   buy a commercial license, for a small fee. More details in the script homepage.
' 
' If you would like to add comments or suggestions, rate this script or submit new layouts, go to the homepage contact form.
' 
' END COPYRIGHT HEADER -->

' Definition wie mit Fehlern umgegangen werden sollte (weitermachen ... )

On Error Resume Next

' Definiere Allgemeine Konstanten

Dim delemiterSymbol
Dim kundenportal
Dim fehlermeldung

delemiterSymbol = "-"
kundenportal = "http://start.libonet.de"
fehlermeldung = "Fehler beim Konfigurieren des Standarddruckers: "
hinweis = "Melden Sie den Fehler bitte im Internet-Kundenportal unter: "

' Definiere Variablen fuer die Drucker

Dim eekDrucker
Dim buDrucker
Dim saefDrucker 
Dim asDrucker
Dim icaDrucker

' Initialisiere die Variablen

eekDrucker = "EEK-EINSEITIG"
buDrucker ="BU-EINSEITIG"
saefDrucker ="SAEF-EINSEITIG" 
asDrucker ="AS-EINSEITIG"
icaDrucker = "OKI MC322"
' icaDrucker = "Fax"

'Definiere Kuerzel / Tags fuer die Bibliotheken

Dim eekTag
Dim eekName

Dim buTAG
Dim buName

Dim saefTag 
Dim saefName

Dim asTag
Dim asName

Dim icaTag
Dim icaName

' Initialisiere die Variablen

eekTag = "EEK"
eekName = "Egon-Erwin-Kirsch Bibliothek (Berlin-Lichtenberg)"

buTAG = "BU"
buName = "Bodo-Uhse Bibliothek (Berlin-Lichtenberg)"

saefTag = "SAEF" 
saefName = "Anton-Saefkow Bibliothek (Berlin-Lichtenberg)"

asTag = "AS"
asName = "Anna Seghers Bibliothek (Berlin-Lichtenberg)"

icaTag = "VCLIENT1" ' Kuerzel zum Testen, frei waehlbar, sollte Hostname entsprechen
icaName = "ICA-NET GmbH"

' Definiere Variablen zum auslesen des Hostnamen

Dim objNetwork
Dim strHostname

' Auslesen des Host-Namen

Set objNetwork = WScript.CreateObject("WScript.Network")
strHostname = objNetwork.ComputerName

' Zerlegen des Namen in Einzelteile, mit dem definierten Trenner/Delemiter

arrayStrHostname = Split(strHostname, delemiterSymbol)

' Debugging Ausgabe

' WScript.Echo "Hostname: " & arrayStrHostname(0)

' Dispose des Netzwerkobjekts

' Set objNetwork = Nothing

' Erstellung des 

Select Case UCase( arrayStrHostname(0) )
  Case eekTag
	objNetwork.SetDefaultPrinter eekDrucker
	
		If Err.Number <> 0 Then
		WScript.Echo fehlermeldung & vbCrLf &  vbCrLf & VBTab & Err.Description & vbCrLf & vbCrLf & hinweis & vbCrLf & vbCrLf & VBTab & kundenportal & vbCrLf & vbCrLf & "Entschuldigung, Ihre" & vbCrLf & vbCrLf & VBTab & eekName
		Err.Clear
	End If
	
  Case saefTag
  	objNetwork.SetDefaultPrinter saefDrucker
	
		If Err.Number <> 0 Then
		WScript.Echo fehlermeldung & vbCrLf &  vbCrLf & VBTab & Err.Description & vbCrLf & vbCrLf & hinweis & vbCrLf & vbCrLf & VBTab & kundenportal & vbCrLf & vbCrLf & "Entschuldigung, Ihre" & vbCrLf & vbCrLf & VBTab & saefName
		Err.Clear
	End If
	
  Case buTAG
	objNetwork.SetDefaultPrinter buDrucker
  
  	If Err.Number <> 0 Then
		WScript.Echo fehlermeldung & vbCrLf &  vbCrLf & VBTab & Err.Description & vbCrLf & vbCrLf & hinweis & vbCrLf & vbCrLf & VBTab & kundenportal & vbCrLf & vbCrLf & "Entschuldigung, Ihre" & vbCrLf & vbCrLf & VBTab & buName
		Err.Clear
	End If
  
  Case asTag
	objNetwork.SetDefaultPrinter asDrucker
  
  	If Err.Number <> 0 Then
		WScript.Echo fehlermeldung & vbCrLf &  vbCrLf & VBTab & Err.Description & vbCrLf & vbCrLf & hinweis & vbCrLf & vbCrLf & VBTab & kundenportal & vbCrLf & vbCrLf & "Entschuldigung, Ihre" & vbCrLf & vbCrLf & VBTab & asName
		Err.Clear
	End If

  
  Case icaTag
	objNetwork.SetDefaultPrinter icaDrucker

	If Err.Number <> 0 Then
		WScript.Echo fehlermeldung & vbCrLf &  vbCrLf & VBTab & Err.Description & vbCrLf & vbCrLf & hinweis & vbCrLf & vbCrLf & VBTab & kundenportal & vbCrLf & vbCrLf & "Entschuldigung, Ihre" & vbCrLf & vbCrLf & VBTab & icaName
		Err.Clear
	End If

	
End Select
